﻿#region License
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Classless.Hasher - C#/.NET Hash and Checksum Algorithm Library.
 *
 * The Initial Developer of the Original Code is Classless.net.
 * Portions created by the Initial Developer are Copyright (C) 2010 the Initial
 * Developer. All Rights Reserved.
 *
 * Contributor(s):
 *		Jason Simeone (jay@classless.net)
 * 
 * ***** END LICENSE BLOCK ***** */
#endregion

using System;
using NUnit.Framework;
using Classless.Hasher.Utilities;

namespace Classless.Hasher.Tests {
	[TestFixture]
	public class ChangedEventArgsTests {
		[Test]
		public void Constructor1Test() {
			ChangedEventArgs cea = new ChangedEventArgs();
			Assert.IsNull(cea.TargetHashAlgorithm);
			Assert.AreEqual(ChangedEventType.Unknown, cea.ChangeType);
		}

		[Test]
		public void Constructor2Test() {
			ChangedEventArgs cea = new ChangedEventArgs(ChangedEventType.Element);
			Assert.IsNull(cea.TargetHashAlgorithm);
			Assert.AreEqual(ChangedEventType.Element, cea.ChangeType);
		}

		[Test]
		public void Constructor3Test() {
			ChangedEventArgs cea = new ChangedEventArgs(new Sum());
			Assert.IsInstanceOf(typeof(Classless.Hasher.Sum), cea.TargetHashAlgorithm);
			Assert.AreEqual(ChangedEventType.Unknown, cea.ChangeType);
		}

		[Test]
		public void Constructor4Test() {
			ChangedEventArgs cea = new ChangedEventArgs(new Sum(), ChangedEventType.Element);
			Assert.IsInstanceOf(typeof(Classless.Hasher.Sum), cea.TargetHashAlgorithm);
			Assert.AreEqual(ChangedEventType.Element, cea.ChangeType);
		}
	}
}
